LibreOffice LibreOffice 7.2 SDK API Reference

Modules | Variables
Deferrability.idl File Reference

Go to the source code of this file.

## Modules
module | com
module | com::sun
module | com::sun::star
| the module com::sun::star is the root module of the UNO API.
module | com::sun::star::sdbc
| Database component interfaces.

## Constant Groups
constants | com::sun::star::sdbc::Deferrability
| indicates the Deferrability of key constraints.

## Variables
const long | INITIALLY_DEFERRED = 5
| A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`. More...
const long | INITIALLY_IMMEDIATE = 6
| A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`. More...
const long | NONE = 7
| A possible value for the column `DEFERRABILITY` in the `XResultSet` objects returned by the methods `getImportedKeys`, `getExportedKeys`, and `getCrossReference`. More...